summaryrefslogtreecommitdiffstats
path: root/audio/herrie/herrie.SlackBuild
diff options
context:
space:
mode:
author Phillip Warner <pc_warner@yahoo.com>2010-05-13 00:21:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:21:14 +0200
commit3dbcae534e3555c84f1919360045715442f8016c (patch)
tree8035e76d1e83b432c03d8aaae7438b23a8cf8214 /audio/herrie/herrie.SlackBuild
parent55b88acbc5d4463109387d481f2b9ee3f0cbcf9b (diff)
downloadslackbuilds-3dbcae534e3555c84f1919360045715442f8016c.tar.gz
slackbuilds-3dbcae534e3555c84f1919360045715442f8016c.tar.xz
audio/herrie: Updated for version 2.2
Diffstat (limited to 'audio/herrie/herrie.SlackBuild')
-rw-r--r--audio/herrie/herrie.SlackBuild11
1 files changed, 8 insertions, 3 deletions
diff --git a/audio/herrie/herrie.SlackBuild b/audio/herrie/herrie.SlackBuild
index 00adeafb19..374465ffd9 100644
--- a/audio/herrie/herrie.SlackBuild
+++ b/audio/herrie/herrie.SlackBuild
@@ -30,10 +30,13 @@ FILTER=${FILTER:-NO}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -112,8 +115,10 @@ if [ "$SIGNALS" == "YES" ]; then
fi
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -125,4 +130,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}